Subject: Re: [PATCH v2] Force 4K pages for IO addresses.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 19 Mar 2008 07:31:25 +1100

On Tue, 2008-03-18 at 09:45 -0500, Nathan Lynch wrote:
> Benjamin Herrenschmidt wrote:
> > 
> > On Mon, 2008-03-17 at 19:34 -0500, Olof Johansson wrote:
> > > On Mon, Mar 17, 2008 at 02:54:19PM +1100, Tony Breeds wrote:
> > > > Currently HEA requires 4K pages for IO resources.  Just set the pages size to
> > > > IO to 4K.
> > > 
> > > Well, that's too bad. Why penalize all platforms for it?
> > > 
> > > I.e.: Nack, we use 64K iopages on pa6t and it works well. No need to
> > > waste tlb and erat space.
> > 
> > We would have to make that pSeries specific for now I suppose...
> > 
> > We don't have a way to know that there "can" be an EHEA right ? It may
> > not be in the device-tree at boot and dynamically added to the
> > partition...
> 
> The ibm,drc-names property of the root node should have "HEA" strings
> in it on systems where EHEA can potentially be present.

Ah good, I didn't know. That will force us to stick an ugly wart
somewhere to test it though, maybe we can just force mmu_ci_restrictions
to 1 ? Paul what do you think ?

Ben.